Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Class PasteSubtreeEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.edit.PasteSubtreeEdit

All Implemented Interfaces:
  UndoableEdit

    public class PasteSubtreeEdit

extends DocumentEdit

Author:
  Ben Stöver

Field Summary
`private LegendPaster` | `legendPaster`
`private Node` | `parent`
`private Node` | `root`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`PasteSubtreeEdit(Document document, Node parent, Node root, Legend[] legends)`

Method Summary
`String` | `getPresentationName()`
`void` | `redo()`
`void` | `undo()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getIsSubedit, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, setIsSubedit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    private Node parent

### root

    private Node root

### legendPaster

    private LegendPaster legendPaster

Constructor Detail

### PasteSubtreeEdit

    public PasteSubtreeEdit(Document document,
                            Node parent,
                            Node root,
                            Legend[] legends)

Method Detail

### redo

    public void redo()
              throws CannotRedoException

  Specified by:
    `redo` in interface `UndoableEdit`
  Overrides:
    `redo` in class `DocumentEdit`
  Throws:
    `CannotRedoException`

### undo

    public void undo()
              throws CannotUndoException

  Specified by:
    `undo` in interface `UndoableEdit`
  Overrides:
    `undo` in class `DocumentEdit`
  Throws:
    `CannotUndoException`

### getPresentationName

    public String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD